Page MenuHomeFreeBSD

Add a new port devel/libgrading.
ClosedPublic

Authored by jonathan on Sep 19 2016, 7:02 PM.

Details

Summary

This port provides libgrading, a library for evaluating C- and C++-language
assignments in programming classes. It could also be used as a unit testing
framework, but it's designed to treat the code under test with some
suspicion (using Capsicum sandboxing by default). It also allows different
tests to be assigned different weights towards the overall grade/score,
which is not typically a feature of unit testing frameworks.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jonathan updated this revision to Diff 20497.Sep 19 2016, 7:02 PM
jonathan retitled this revision from to Add a new port devel/libgrading..
jonathan updated this object.
jonathan added a reviewer: portmgr.
mat added inline comments.Sep 21 2016, 1:18 PM
devel/libgrading/Makefile
8–10 ↗(On Diff #20497)

All this should go after the LIB_DEPENDS line.

Also, the GH_PROJECT line can be removed, it is the default.

jonathan updated this revision to Diff 20588.Sep 21 2016, 7:10 PM
jonathan marked an inline comment as done.
  • Remove superfluous GH_PROJECT variable.
  • Move GitHub details to below LIB_DEPENDS.
  • Clean up COMMENT to satisfy portlint -A.
  • Change pkg-plist to PLIST_FILES.
devel/libgrading/Makefile
8–10 ↗(On Diff #20497)

Ah, yes. I failed to run portlint -A on this until now. I've made the changes you suggested, as well as some others from portlint (clean up the COMMENT and use PLIST_FILES instead of pkg-plist).

mat accepted this revision.Sep 22 2016, 7:38 AM
mat added a reviewer: mat.
This revision is now accepted and ready to land.Sep 22 2016, 7:38 AM
This revision was automatically updated to reflect the committed changes.